/** {
    box-sizing: border-box;
    font-family: 'Roboto', sans-serif;
}*/

body {
    margin: 0;
    padding: 0;
    font-family: 'Roboto', sans-serif;
}

main {
    padding: 16px;
    margin-bottom: 50px;
}

footer {
    padding: 24px;
    position:relative;
    bottom: 0px;
    background-color: rgb(133, 198, 58);
    font-weight: bold;
    font-style: italic;
}

img {
    height: 200px;
}

nav {
    padding: 16px;
    border-bottom: 1px solid black;
}

nav > a {
    color: white;
}

nav > a:hover {
    color: green;
}

a {
    text-decoration: none;
    color: green;
}

.recipe-link {
    color: green;
}

.recipe-link:hover {
    color: rgb(239, 68, 5);
}

.all-recipes {
    display: grid;
    grid-template-columns: 300px 300px 300px 300px;
}

.all-recipes > div {
    padding: 10px 25px 10px 0px
}

.is-green {
    color: green;
    font-variant: small-caps;
}

h2 {
    font-variant: small-caps;
}

header {
    background-color: rgb(239, 68, 5);
}

thead tr{
    display: grid;
    grid-template-columns: 60px 150px;
    font-style: italic;
    text-decoration: underline;
}


tbody > tr {
    display: grid;
    grid-template-columns: 100px 150px;
}

tbody > tr:nth-child(odd) {
    background-color: lightgray;
}

ol {
    padding-left: 20px;
}

li{
    width: auto;
}

li:hover {
    background-color: lightgrey;
    width: 400px;
    transition: background-color ease-in 1s;
}
